diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv4-packet-info-tag-test-suite.cc ns-3.38/src/internet/test/ipv4-packet-info-tag-test-suite.cc
--- ns-3.37/src/internet/test/ipv4-packet-info-tag-test-suite.cc	2022-11-01 17:37:24.507395000 -0700
+++ ns-3.38/src/internet/test/ipv4-packet-info-tag-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -54,7 +54,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 PacketInfoTag Test
  */
@@ -209,7 +208,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 PacketInfoTag TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv4-raw-test.cc ns-3.38/src/internet/test/ipv4-raw-test.cc
--- ns-3.37/src/internet/test/ipv4-raw-test.cc	2022-11-01 17:37:24.507395000 -0700
+++ ns-3.38/src/internet/test/ipv4-raw-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -54,7 +54,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 RAW Socket Test
  */
@@ -372,7 +371,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 RAW Socket TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv4-rip-test.cc ns-3.38/src/internet/test/ipv4-rip-test.cc
--- ns-3.37/src/internet/test/ipv4-rip-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv4-rip-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -46,7 +46,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 RIP Test
  */
@@ -276,7 +275,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 RIP count to infinity Test
  */
@@ -510,7 +508,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 RIP SplitHorizon strategy Test
  */
@@ -699,7 +696,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 RIP TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv4-static-routing-test-suite.cc ns-3.38/src/internet/test/ipv4-static-routing-test-suite.cc
--- ns-3.37/src/internet/test/ipv4-static-routing-test-suite.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv4-static-routing-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -39,7 +39,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 StaticRouting /32 Test
  */
@@ -210,7 +209,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 StaticRouting /32 TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv4-test.cc ns-3.38/src/internet/test/ipv4-test.cc
--- ns-3.37/src/internet/test/ipv4-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv4-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -32,7 +32,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 Test
  */
@@ -123,7 +122,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv4 TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-address-duplication-test.cc ns-3.38/src/internet/test/ipv6-address-duplication-test.cc
--- ns-3.37/src/internet/test/ipv6-address-duplication-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-address-duplication-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -44,7 +44,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 Duplicate Address Detection Test
  */
@@ -118,7 +117,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 Duplicate Address Detection TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-address-generator-test-suite.cc ns-3.38/src/internet/test/ipv6-address-generator-test-suite.cc
--- ns-3.37/src/internet/test/ipv6-address-generator-test-suite.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-address-generator-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -24,7 +24,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 network number allocator Test
  */
@@ -83,7 +82,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 address allocator Test
  */
@@ -148,7 +146,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 network number and address allocator Test
  */
@@ -200,7 +197,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 example of an address generator Test
  */
@@ -265,7 +261,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 address collision Test
  */
@@ -338,7 +333,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 address generator TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-address-helper-test-suite.cc ns-3.38/src/internet/test/ipv6-address-helper-test-suite.cc
--- ns-3.37/src/internet/test/ipv6-address-helper-test-suite.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-address-helper-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 AddressHelper Test
  */
@@ -170,7 +169,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 AddressHelper TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-dual-stack-test-suite.cc ns-3.38/src/internet/test/ipv6-dual-stack-test-suite.cc
--- ns-3.37/src/internet/test/ipv6-dual-stack-test-suite.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-dual-stack-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -52,7 +52,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 dual stack Test
  */
@@ -354,7 +353,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 dual stack TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-extension-header-test-suite.cc ns-3.38/src/internet/test/ipv6-extension-header-test-suite.cc
--- ns-3.37/src/internet/test/ipv6-extension-header-test-suite.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-extension-header-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -35,7 +35,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 extensions Test: Empty option field.
  */
@@ -76,7 +75,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 extensions Test: Option without alignment.
  */
@@ -100,7 +98,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 extensions Test: Test the option without alignment.
  */
@@ -151,7 +148,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 extensions Test: Option with alignment.
  */
@@ -180,7 +176,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 extensions Test: Test the option with alignment.
  */
@@ -238,7 +233,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 extensions Test: Test an option already aligned.
  */
@@ -278,7 +272,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 extensions TestSuite.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-forwarding-test.cc ns-3.38/src/internet/test/ipv6-forwarding-test.cc
--- ns-3.37/src/internet/test/ipv6-forwarding-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-forwarding-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -44,7 +44,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 Forwarding Test
  */
@@ -212,7 +211,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 Forwarding TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-fragmentation-test.cc ns-3.38/src/internet/test/ipv6-fragmentation-test.cc
--- ns-3.37/src/internet/test/ipv6-fragmentation-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-fragmentation-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -67,7 +67,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Tag used in IPv6 Fragmentation Test
  */
@@ -125,7 +124,7 @@
      * \brief Get the token.
      * \returns The token.
      */
-    uint64_t GetToken()
+    uint64_t GetToken() const
     {
         return token;
     }
@@ -133,7 +132,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 Fragmentation Test
  */
@@ -618,7 +616,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 Fragmentation TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-list-routing-test-suite.cc ns-3.38/src/internet/test/ipv6-list-routing-test-suite.cc
--- ns-3.37/src/internet/test/ipv6-list-routing-test-suite.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-list-routing-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -25,7 +25,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 dummy routing class (A)
  */
@@ -92,7 +91,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 dummy routing class (B)
  */
@@ -159,7 +157,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 ListRouting negative test.
  */
@@ -194,7 +191,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 ListRouting positive test.
  */
@@ -234,7 +230,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 ListRouting TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-packet-info-tag-test-suite.cc ns-3.38/src/internet/test/ipv6-packet-info-tag-test-suite.cc
--- ns-3.37/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2023-03-16 20:54:23.628868600 -0700
@@ -76,7 +76,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 PacketInfoTag Test
  */
@@ -245,7 +244,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 PacketInfoTag TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-raw-test.cc ns-3.38/src/internet/test/ipv6-raw-test.cc
--- ns-3.37/src/internet/test/ipv6-raw-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-raw-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -56,7 +56,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 RAW Socket Test
  */
@@ -324,7 +323,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 RAW Socket TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-ripng-test.cc ns-3.38/src/internet/test/ipv6-ripng-test.cc
--- ns-3.37/src/internet/test/ipv6-ripng-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-ripng-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -45,7 +45,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 RIPng Test
  */
@@ -276,7 +275,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 RIPng count to infinity Test
  */
@@ -509,7 +507,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 RIPng SplitHorizon strategy Test
  */
@@ -698,7 +695,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 RIPng TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/ipv6-test.cc ns-3.38/src/internet/test/ipv6-test.cc
--- ns-3.37/src/internet/test/ipv6-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/ipv6-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -32,7 +32,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 Test
  */
@@ -180,7 +179,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief IPv6 TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/neighbor-cache-test.cc ns-3.38/src/internet/test/neighbor-cache-test.cc
--- ns-3.37/src/internet/test/neighbor-cache-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/neighbor-cache-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -41,7 +41,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Dynamic Neighbor Cache Test
  */
@@ -237,7 +236,7 @@
     }
     net.Add(tx2Dev);
 
-    // Recieve node
+    // Receive node
     Ptr<SimpleNetDevice> rxDev;
     {
         rxDev = CreateObject<SimpleNetDevice>();
@@ -542,7 +541,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Neighbor cache on Channel Test
  */
@@ -632,7 +630,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Neighbor Cache on NetDeviceContainer Test
  */
@@ -723,7 +720,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Neighbor Cache on InterfaceContainer Test
  */
@@ -814,7 +810,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Neighbor Cache Flush Test
  */
@@ -922,7 +917,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Neighbor Cache on Overlapped Scope Test
  */
@@ -1022,7 +1016,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Dynamic Neighbor Cache on Reduced Scope Test
  */
@@ -1230,7 +1223,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief NeighborCache TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/rtt-test.cc ns-3.38/src/internet/test/rtt-test.cc
--- ns-3.37/src/internet/test/rtt-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/rtt-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief RTT estimator Test
  */
@@ -181,7 +180,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief RTT estimator TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-advertised-window-test.cc ns-3.38/src/internet/test/tcp-advertised-window-test.cc
--- ns-3.37/src/internet/test/tcp-advertised-window-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-advertised-window-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -272,7 +272,7 @@
  *
  *   m_tcb->m_rxBuffer->MaxBufferSize ()
  *
- * This change was introduced with regard to situations in which the receiviing
+ * This change was introduced with regard to situations in which the receiving
  * application does not read from the socket as fast as possible (see bug 2559
  * for details). This test ensures that no regression is introduced for other,
  * "normal" cases.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-bbr-test.cc ns-3.38/src/internet/test/tcp-bbr-test.cc
--- ns-3.37/src/internet/test/tcp-bbr-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-bbr-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -182,7 +182,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP BBR TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-bic-test.cc ns-3.38/src/internet/test/tcp-bic-test.cc
--- ns-3.37/src/internet/test/tcp-bic-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-bic-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Testing the congestion avoidance increment on TcpBic
  */
@@ -191,7 +190,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Testing the congestion avoidance decrement on TcpBic
  */
@@ -305,7 +303,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP Bic TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-bytes-in-flight-test.cc ns-3.38/src/internet/test/tcp-bytes-in-flight-test.cc
--- ns-3.37/src/internet/test/tcp-bytes-in-flight-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-bytes-in-flight-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Check the value of BytesInFlight against a home-made guess
  *
@@ -283,7 +282,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TestSuite: Check the value of BytesInFlight against a home-made guess
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-classic-recovery-test.cc ns-3.38/src/internet/test/tcp-classic-recovery-test.cc
--- ns-3.37/src/internet/test/tcp-classic-recovery-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-classic-recovery-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -102,9 +102,10 @@
     uint32_t cWndInflPrevious = m_state->m_cWndInfl;
     uint32_t cWndPrevious = m_state->m_cWnd;
     recovery->DoRecovery(m_state, 500);
-    NS_TEST_ASSERT_MSG_EQ(m_state->m_cWndInfl,
-                          (cWndInflPrevious + m_state->m_segmentSize),
-                          "m_cWndInfl should be incresed by one segmentSize on calling DoRecovery");
+    NS_TEST_ASSERT_MSG_EQ(
+        m_state->m_cWndInfl,
+        (cWndInflPrevious + m_state->m_segmentSize),
+        "m_cWndInfl should be increased by one segmentSize on calling DoRecovery");
     NS_TEST_ASSERT_MSG_EQ(m_state->m_cWnd, cWndPrevious, "cWnd should not change in recovery");
 
     recovery->ExitRecovery(m_state);
@@ -118,7 +119,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Classic Recovery TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-cong-avoid-test.cc ns-3.38/src/internet/test/tcp-cong-avoid-test.cc
--- ns-3.37/src/internet/test/tcp-cong-avoid-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-cong-avoid-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Test the behavior of RFC congestion avoidance
  *
@@ -181,7 +180,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TestSuite for the behavior of RFC congestion avoidance
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-datasentcb-test.cc ns-3.38/src/internet/test/tcp-datasentcb-test.cc
--- ns-3.37/src/internet/test/tcp-datasentcb-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-datasentcb-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Socket that the 50% of the times saves the entire packet in the buffer,
  * while in the other 50% saves only half the packet.
@@ -90,7 +89,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Data Sent callback test
  *
@@ -164,7 +162,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TestSuite: Data Sent callback
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-dctcp-test.cc ns-3.38/src/internet/test/tcp-dctcp-test.cc
--- ns-3.37/src/internet/test/tcp-dctcp-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-dctcp-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -39,7 +39,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Validates the setting of ECT and ECE codepoints for DCTCP enabled traffic
  */
@@ -187,7 +186,7 @@
                                   0,
                                   "The flag ECE should be not be set in TCP header of the packet "
                                   "sent by the receiver if it receives a packet without CE bit set "
-                                  "in IP header inspite of Sender not sending CWR flags to it");
+                                  "in IP header in spite of Sender not sending CWR flags to it");
         }
     }
 }
@@ -209,13 +208,12 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief A TCP socket which sends a data packet with CE flags set for test 3.
  *
  * The SendDataPacket function of this class sends data packet numbered 1  with CE flags set and
  * also doesn't set CWR flags on receipt of ECE flags for test 3. This is done to verify that DCTCP
- * receiver sends ECE only if it receives CE inspite of sender not sending CWR flags for ECE
+ * receiver sends ECE only if it receives CE in spite of sender not sending CWR flags for ECE
  *
  */
 class TcpDctcpCongestedRouter : public TcpSocketMsgBase
@@ -554,7 +552,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief DCTCP should be same as Linux during slow start
  */
@@ -655,7 +652,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP DCTCP TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-ecn-test.cc ns-3.38/src/internet/test/tcp-ecn-test.cc
--- ns-3.37/src/internet/test/tcp-ecn-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-ecn-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -42,7 +42,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief checks if ECT, CWR and ECE bits are set correctly in different scenarios
  *
@@ -81,7 +80,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief A TCP socket which sends certain data packets with CE flags set for tests 5 and 6.
  *
@@ -580,7 +578,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP ECN TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-endpoint-bug2211.cc ns-3.38/src/internet/test/tcp-endpoint-bug2211.cc
--- ns-3.37/src/internet/test/tcp-endpoint-bug2211.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-endpoint-bug2211.cc	2023-03-16 20:54:23.628868600 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Test for bug 2211.
  *
@@ -151,7 +150,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TestSuite for bug 2211 - It must be used with valgrind.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-error-model.h ns-3.38/src/internet/test/tcp-error-model.h
--- ns-3.37/src/internet/test/tcp-error-model.h	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-error-model.h	2023-03-16 20:54:23.628868600 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief A general (TCP-aware) error model.
  *
@@ -74,7 +73,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief An error model TCP aware: it drops the sequence number declared.
  *
@@ -121,7 +119,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Error model which drop packets with specified TCP flags.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-fast-retr-test.cc ns-3.38/src/internet/test/tcp-fast-retr-test.cc
--- ns-3.37/src/internet/test/tcp-fast-retr-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-fast-retr-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -21,7 +21,7 @@
 #include "ns3/log.h"
 #include "ns3/node.h"
 #include "ns3/simple-channel.h"
-#include "ns3/tcp-westwood.h"
+#include "ns3/tcp-westwood-plus.h"
 
 using namespace ns3;
 
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Test the fast retransmission
  *
@@ -291,7 +290,7 @@
     {
         if (h.GetAckNumber().GetValue() < m_seqToKill)
         {
-            NS_TEST_ASSERT_MSG_EQ(GetCongStateFrom(tcb),
+            NS_TEST_ASSERT_MSG_EQ(tcb->m_congState.Get(),
                                   TcpSocketState::CA_OPEN,
                                   "Not in OPEN state to respond to a loss");
             NS_TEST_ASSERT_MSG_EQ(GetDupAckCount(SENDER),
@@ -304,20 +303,20 @@
 
             if (GetDupAckCount(SENDER) == 0 && GetDupAckCount(SENDER) < GetReTxThreshold(SENDER))
             {
-                NS_TEST_ASSERT_MSG_EQ(GetCongStateFrom(tcb),
+                NS_TEST_ASSERT_MSG_EQ(tcb->m_congState.Get(),
                                       TcpSocketState::CA_OPEN,
                                       "Not in OPEN state for processing dupack");
             }
             else if (GetDupAckCount(SENDER) > 0 &&
                      GetDupAckCount(SENDER) < GetReTxThreshold(SENDER))
             {
-                NS_TEST_ASSERT_MSG_EQ(GetCongStateFrom(tcb),
+                NS_TEST_ASSERT_MSG_EQ(tcb->m_congState.Get(),
                                       TcpSocketState::CA_DISORDER,
                                       "Not in DISORDER state after receiving dupacks");
             }
             else if (GetDupAckCount(SENDER) >= GetReTxThreshold(SENDER))
             {
-                NS_TEST_ASSERT_MSG_EQ(GetCongStateFrom(tcb),
+                NS_TEST_ASSERT_MSG_EQ(tcb->m_congState.Get(),
                                       TcpSocketState::CA_RECOVERY,
                                       "Not in RECOVERY state after reaching retxthresh");
             }
@@ -325,7 +324,7 @@
     }
     else if (who == RECEIVER)
     {
-        NS_TEST_ASSERT_MSG_EQ(GetCongStateFrom(tcb),
+        NS_TEST_ASSERT_MSG_EQ(tcb->m_congState.Get(),
                               TcpSocketState::CA_OPEN,
                               "Receiver not in OPEN state");
     }
@@ -350,14 +349,14 @@
 
             if (GetDupAckCount(SENDER) < GetReTxThreshold(SENDER))
             {
-                NS_TEST_ASSERT_MSG_EQ(GetCongStateFrom(tcb),
+                NS_TEST_ASSERT_MSG_EQ(tcb->m_congState.Get(),
                                       TcpSocketState::CA_DISORDER,
                                       "DupAck less than ReTxThreshold but not "
                                       "in DISORDER state");
             }
             else
             {
-                NS_TEST_ASSERT_MSG_GT_OR_EQ(GetCongStateFrom(tcb),
+                NS_TEST_ASSERT_MSG_GT_OR_EQ(tcb->m_congState.Get(),
                                             TcpSocketState::CA_RECOVERY,
                                             "DupAck greater than ReTxThreshold but not "
                                             "in RECOVERY or LOSS state");
@@ -373,7 +372,7 @@
     }
     else if (who == RECEIVER)
     {
-        NS_TEST_ASSERT_MSG_EQ(GetCongStateFrom(tcb),
+        NS_TEST_ASSERT_MSG_EQ(tcb->m_congState.Get(),
                               TcpSocketState::CA_OPEN,
                               "Different state than OPEN in the receiver");
     }
@@ -431,7 +430,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Testsuite for the fast retransmission
  */
@@ -442,7 +440,7 @@
         : TestSuite("tcp-fast-retr-test", UNIT)
     {
         std::list<TypeId> types;
-        types.insert(types.begin(), TcpWestwood::GetTypeId());
+        types.insert(types.begin(), TcpWestwoodPlus::GetTypeId());
         types.insert(types.begin(), TcpNewReno::GetTypeId());
 
         for (std::list<TypeId>::iterator it = types.begin(); it != types.end(); ++it)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-general-test.h ns-3.38/src/internet/test/tcp-general-test.h
--- ns-3.37/src/internet/test/tcp-general-test.h	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-general-test.h	2023-03-16 20:54:23.628868600 -0700
@@ -31,7 +31,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Class for inserting callbacks special points of the flow of TCP sockets
  *
@@ -151,7 +150,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief A TCP socket which sends ACKs smaller than the segment received.
  *
@@ -215,7 +213,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief General infrastructure for TCP testing
  *
@@ -1160,21 +1157,6 @@
     InetSocketAddress m_remoteAddr; //!< Remote peer address.
 };
 
-/**
- * \ingroup internet-test
- * \ingroup tests
- *
- * \brief Convenience function to retrieve the ACK state from a TCB
- *
- * \param tcb Transmission control block
- * \return the state of the ACK state machine
- */
-static inline TcpSocketState::TcpCongState_t
-GetCongStateFrom(Ptr<const TcpSocketState> tcb)
-{
-    return tcb->m_congState.Get();
-}
-
 } // namespace ns3
 
 #endif // TCPGENERALTEST_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-header-test.cc ns-3.38/src/internet/test/tcp-header-test.cc
--- ns-3.37/src/internet/test/tcp-header-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-header-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -41,7 +41,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP header Get/Set test.
  */
@@ -159,7 +158,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP header with RFC793 Options test.
  */
@@ -386,9 +384,8 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
- * \brief TCP header Flags to Striing test.
+ * \brief TCP header Flags to String test.
  */
 class TcpHeaderFlagsToString : public TestCase
 {
@@ -456,7 +453,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP header TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-highspeed-test.cc ns-3.38/src/internet/test/tcp-highspeed-test.cc
--- ns-3.37/src/internet/test/tcp-highspeed-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-highspeed-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Testing the congestion avoidance increment on TcpHighSpeed
  */
@@ -83,7 +82,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Testing the congestion avoidance decrement on TcpHighSpeed
  */
@@ -137,15 +135,17 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TcpHighSpeed Congestion window values to test.
  */
-static const struct HighSpeedImportantValues
+struct HighSpeedImportantValues
 {
     unsigned int cwnd; //!< Congestion window.
     unsigned int md;   //!< Currently unused.
-} highSpeedImportantValues[] = {
+};
+
+/// List of data to be tested
+static const HighSpeedImportantValues highSpeedImportantValues[]{
     {38, 128, /*  0.50 */},   {118, 112, /*  0.44 */},  {221, 104, /*  0.41 */},
     {347, 98, /*  0.38 */},   {495, 93, /*  0.37 */},   {663, 89, /*  0.35 */},
     {851, 86, /*  0.34 */},   {1058, 83, /*  0.33 */},  {1284, 81, /*  0.32 */},
@@ -170,13 +170,12 @@
     {58932, 30, /*  0.12 */}, {61799, 29, /*  0.12 */}, {64851, 28, /*  0.11 */},
     {68113, 28, /*  0.11 */}, {71617, 27, /*  0.11 */}, {75401, 26, /*  0.10 */},
     {79517, 26, /*  0.10 */}, {84035, 25, /*  0.10 */}, {89053, 24, /*  0.10 */},
-}; //!< List of data to be tested.
+};
 
 #define HIGHSPEED_VALUES_N 71
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP HighSpeed TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/internet/test/tcp-htcp-test.cc ns-3.38/src/internet/test/tcp-htcp-test.cc
--- ns-3.37/src/internet/test/tcp-htcp-test.cc	2022-11-01 17:37:24.511395200 -0700
+++ ns-3.38/src/internet/test/tcp-htcp-test.cc	2023-03-16 20:54:23.628868600 -0700
@@ -36,7 +36,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief Testing the congestion avoidance increment on TcpHtcp
  */
@@ -148,7 +147,6 @@
 
 /**
  * \ingroup internet-test
- * \ingroup tests
  *
  * \brief TCP Htcp TestSuite.
  *
